package com.ruoyi.manage.mapper;

import com.ruoyi.manage.domain.NetworkManage;

import java.util.List;

/**
 * 网络管理Mapper接口
 * 
 * @author boman
 * @date 2025-05-07
 */
public interface NetworkManageMapper 
{
    /**
     * 查询网络管理
     * 
     * @param networkId 网络管理主键
     * @return 网络管理
     */
    public NetworkManage selectNetworkManageByNetworkId(Long networkId);

    /**
     * 查询网络管理列表
     * 
     * @param networkManage 网络管理
     * @return 网络管理集合
     */
    public List<NetworkManage> selectNetworkManageList(NetworkManage networkManage);

    /**
     * 新增网络管理
     * 
     * @param networkManage 网络管理
     * @return 结果
     */
    public int insertNetworkManage(NetworkManage networkManage);

    /**
     * 修改网络管理
     * 
     * @param networkManage 网络管理
     * @return 结果
     */
    public int updateNetworkManage(NetworkManage networkManage);

    /**
     * 删除网络管理
     * 
     * @param networkId 网络管理主键
     * @return 结果
     */
    public int deleteNetworkManageByNetworkId(Long networkId);

    /**
     * 批量删除网络管理
     * 
     * @param networkIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteNetworkManageByNetworkIds(Long[] networkIds);
}
